Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodedocumentnodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodedocumentnodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for a Document Node is "document".

Retrieve the DOM document and check the string returned by the "getNodeName()" method. It should be equal to "document".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#i-Document , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 45 of file nodedocumentnodename.java.

## Constructor & Destructor Documentation

nodedocumentnodename::nodedocumentnodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodedocumentnodename.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodedocumentnodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 61 of file nodedocumentnodename.java.
    00061                                 {
    00062       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodedocumentnodename";
    00063    }

void nodedocumentnodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 64 of file nodedocumentnodename.java. References DOMTestCase::doMain().
    00064                                           {
    00065         DOMTestCase.doMain(nodedocumentnodename.class,args);
    00066    }

void nodedocumentnodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodedocumentnodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       String documentName;
    00056       doc = load("staff");
    00057       documentName = doc.getNodeName();
    00058       assertEquals("nodeDocumentNodeNameAssert1","#document",documentName);
    00059
    00060    }

The documentation for this class was generated from the following file:

- nodedocumentnodename.java